import ts from "typescript";
import { ParameterInfo, ResourceRelationshipInfo, ResourceVariableInfo } from "./types";
/**
 * Visit the arguments of a function call. If the argument is a FnResource, it will be extracted as
 * a closure.
 * @param signature The signature of the function.
 * @param args The arguments of the function call.
 * @param checker The type checker.
 * @returns
 */
export declare function visitCallingArguments(signature: ts.Signature, args: ts.NodeArray<ts.Expression> | undefined, checker: ts.TypeChecker): {
    closureInfos: ResourceVariableInfo[];
    closureDependencies: ResourceRelationshipInfo[];
    parameters: ParameterInfo[];
};
