import ts from "typescript";
import { VisitResult } from "./types";
/**
 * Check if this expression is doing something about resource, including:
 *   1. Create a new resource and assign it to a variable.
 *   2. Invoke a resource method.
 */
export declare function visitExpression(parNode: ts.ExpressionStatement, checker: ts.TypeChecker): VisitResult | undefined;
export declare function visitCallExpression(parNode: ts.CallExpression, checker: ts.TypeChecker): VisitResult | undefined;
/**
 * Recursively visit the binary expression.
 */
export declare function visitBinaryExpression(parNode: ts.BinaryExpression, checker: ts.TypeChecker): VisitResult | undefined;
