import ts from "typescript";
import { VisitResult } from "./types";
/**
 * Check if this variable declaration is defining a resource. If it is,
 * retrieve the name of the variable and its construction details.
 */
export declare function visitVariableStatement(parNode: ts.VariableStatement, checker: ts.TypeChecker): VisitResult | undefined;
/**
 * This is a binary expression with a '=' token. It may be assigning a resource to a variable.
 */
export declare function visitAssignmentExpression(parNode: ts.BinaryExpression, checker: ts.TypeChecker): VisitResult | undefined;
/**
 * Check this NewExpression is trying to construct a resource.
 * If it is, retrieve the resoruce construction information.
 */
export declare function visitNewExpression(parNode: ts.NewExpression, checker: ts.TypeChecker, varName: string): VisitResult | undefined;
